Name:           qtoctave
Version:        0.10.1
Release:        %mkrel 8
Summary:        Frontend for Octave
Group:          Sciences/Mathematics
License:        GPLv2+
URL:            http://qtoctave.wordpress.com/
Source0:        https://forja.rediris.es/frs/download.php/744/qtoctave-%{version}.tar.gz
# Debian patches
Patch0:		qtoctave-add_missing_includes.patch
# remove octave-doc: octave comes already with it and qtoctave comes with fixed
# version of octave-doc (so not always the good one)
Patch6:		qtoctave-remove-octave-doc.patch
Patch8:         qtoctave-fix-utils-doc-path.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	octave
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description
QtOctave is a frontend for Octave based on Qt4.

%prep
%setup -q -n %{name}-%{version}/
%patch0 -p0
%patch6 -p0
%patch8 -p0
# configure.h was previously removed in a ptch, the other parts o the patch are
# obsolet
%__rm %{_builddir}/%{name}-%{version}/qtoctave/src/configure.h

%{__perl} -pi -e 's/\r$//g' readme.txt

# Desktop file
%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Name=QtOctave
Comment=Frontend for Octave
Exec=qtoctave
Terminal=false
Icon=qtoctave
Type=Application
Categories=Education;Math;Science;
EOF

%build
%cmake -DCMAKE_SKIP_RPATH:STRING="ON"  
make

%install
%make_install -C build

%if 0
%{__chmod} 0755 %{buildroot}%{_datadir}/%{name}/menus/Analysis/Integrate.m \
                %{buildroot}%{_datadir}/%{name}/menus/Analysis/Integrate
%endif

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%post
%{update_desktop_database}
#%%update_icon_cache hicolor

%postun
%{clean_desktop_database}
#%%clean_icon_cache hicolor

%files
%doc LICENSE_GPL.txt leeme.txt readme.txt
%{_docdir}/%{name}/qtoctave-utils/
%{_docdir}/%{name}/qtoctave_doc/
%attr(0755,root,root) %{_bindir}/qtoctave
%attr(0755,root,root) %{_bindir}/easy_plot
%attr(0755,root,root) %{_bindir}/qtjs
%attr(0755,root,root) %{_bindir}/qtoctave_pkg
%attr(0755,root,root) %{_bindir}/simplercs
%attr(0755,root,root) %{_bindir}/xmlwidget
%attr(0755,root,root) %{_bindir}/qtoctave-info-reader
%{_iconsdir}/hicolor/64x64/apps/qtoctave.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}/


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0.10.1-8.mga6
+ Revision: 962551
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 0.10.1-7.mga6
+ Revision: 895471
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-6.mga5
+ Revision: 740241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-5.mga5
+ Revision: 688552
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.1-4.mga4
+ Revision: 517904
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-3.mga3
+ Revision: 380010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 grenoya <grenoya> 0.10.1-2.mga2
+ Revision: 210939
- fix mga bug #4533

* Mon Sep 19 2011 grenoya <grenoya> 0.10.1-1.mga2
+ Revision: 145510
- update sources to 0.10.1
- remove unused defines
- clean spec
- rediff still needed patches (#0 and #6)
- add new patch to prevent qtoctave to install wrong version of octave-doc (#8)
- remove no more needed patches (#1, #2, #3, #4, #5 and #7)

* Fri Apr 15 2011 grenoya <grenoya> 0.8.2-3.mga1
+ Revision: 85789
- imported package qtoctave


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdv2011.0
+ Revision: 614682
- the mass rebuild of 2010.1 packages

* Wed Feb 17 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.8.2-2mdv2010.1
+ Revision: 506896
- Rebuild

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 462520
- Update to new version 0.8.2
- Sync patches with Debian
- Add patch to fix detection of QT >= 4.5

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8.1-2mdv2010.0
+ Revision: 442630
- rebuild

* Mon Feb 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 341097
- Update to version 0.8.1
- Use cmake option to disable rpath instead of using chrpath
- Sync patches with Debian, disable fuz=0 as Debian's patches
  are fuzzy

* Sun Aug 10 2008 David Walluck <walluck@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 270164
- 0.7.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.6.3-2mdv2009.0
+ Revision: 200671
- drop file dependency

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 David Walluck <walluck@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 94414
- fix whitespace in spec
- import qtoctave


* Sat Aug 11 2007 Jorge Torres <jorge@fedoraproject.org> 0.5-1.20070811svn
- Initial build
